
Smart Proxy - Bug #5903

Deleting smart proxy from GUI fails

05/23/2014 09:51 AM - Jon Skarpeteig

Status: Duplicate   

Priority: Low   

Assignee:    

Category:    

Target version:    

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

A proper error message should be generated instead, saying that an existing hostgroup is using the proxy.

Oops, we're sorry but something went wrong

Warning!

ERROR: update or delete on table "smart_proxies" violates foreign key constraint "hostgroups_puppe

t_ca_proxy_id_fk" on table "hostgroups" DETAIL: Key (id)=(2) is still referenced from table "hostg

roups".

 If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You would probably need to

attach the Full trace and relevant log entries.

PG::ForeignKeyViolation

ERROR: update or delete on table "smart_proxies" violates foreign key constraint "hostgroups_puppe

t_ca_proxy_id_fk" on table "hostgroups" DETAIL: Key (id)=(2) is still referenced from table "hostg

roups".

app/controllers/smart_proxies_controller.rb:51:in `destroy'

app/models/concerns/foreman/thread_session.rb:33:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call'

Related issues:

Related to Foreman - Bug #5904: Deleting a smart proxy should be easier due t... New 05/23/2014

Is duplicate of Foreman - Bug #5788: before_destroy missing from EnsureNotUse... Closed 05/19/2014

History

#1 - 05/23/2014 09:53 AM - Jon Skarpeteig

Or better yet, remove the proxy from the hostgroup

#2 - 05/23/2014 10:01 AM - Dominic Cleal

- Is duplicate of Bug #5788: before_destroy missing from EnsureNotUsedBy.new in SmartProxy model added

#3 - 05/23/2014 10:02 AM - Dominic Cleal

- Status changed from New to Duplicate

We've just made a change in #5788 which will show a proper error message indicating which other resources rely on that smart proxy.  This'll be in

1.5.1.

#4 - 05/23/2014 10:11 AM - Dominic Cleal

- Related to Bug #5904: Deleting a smart proxy should be easier due to number of associations added
